Creates SIP trunk
POST /api/v1/sip/trunk
Operation id: post__api_v1_sip_trunk
Description
Takes a SIP trunk JSON and store in DB. Return saved JSON.
Tags: SipTrunk
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenant_id | string | Yes | tenant id of required records |
Security
- PhoenixToken-Authorization (apiKey)
- PhoenixToken-Authorization
Responses
200 — OK
Content type: application/json
Request body
SipTrunk JSON
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
params | array | No | |
site_name | string | No | |
trunk_name | string | No |
{
"type": "object",
"properties": {
"params": {
"type": "array",
"items": {
"type": "integer"
}
},
"site_name": {
"type": "string"
},
"trunk_name": {
"type": "string"
}
}
}
Response models
200 — OK
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
customer_id | integer | No | |
id | integer | No | |
params | array | No | |
sbc_name | string | No | |
site_id | integer | No | |
site_name | string | No | |
trunk_name | string | No | |
updated_at | string | No |
{
"type": "object",
"properties": {
"customer_id": {
"type": "integer"
},
"id": {
"type": "integer"
},
"params": {
"type": "array",
"items": {
"type": "integer"
}
},
"sbc_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"trunk_name": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}